using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    /// <summary>
    /// 住院费用上传取消
    /// </summary>
    class InpatientFeeUploadCancelProcess : AbstractProcess
    {
        public override CallResult Process(JObject input)
        {
            string errMsg = "";
            if (cBus.cancleFeeUpload(TradeEnum.InpatientFeeCancel, out errMsg) != 0)
            {
                return Exception("取消中心费用", errMsg);
            }

            if (mIS.deleteFee(out errMsg) != 0)
            {
                return Exception("删除医保平台费用", errMsg);
            }
            else
            {
                return IrisReturn("住院费用上传取消成功", null);
            }
        }
    }
}
